aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJoursoir <chat@joursoir.net>2023-10-14 20:03:00 +0300
committerJoursoir <chat@joursoir.net>2023-11-04 16:46:26 +0300
commit83e09087d4565d31577715af0da2e5d4d6fef304 (patch)
tree8789e01e009fd7d2ac9e872211abce716e53fd46 /scripts
parentab6b1d71e93967aa1d00e0026cb75ac2ffbfc11a (diff)
downloaddotfiles-83e09087d4565d31577715af0da2e5d4d6fef304.tar.gz
dotfiles-83e09087d4565d31577715af0da2e5d4d6fef304.tar.bz2
dotfiles-83e09087d4565d31577715af0da2e5d4d6fef304.zip
move set-up-kbd.sh to 'script' dir
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/set-up-kbd.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/scripts/set-up-kbd.sh b/scripts/set-up-kbd.sh
new file mode 100755
index 0000000..f0cdbf3
--- /dev/null
+++ b/scripts/set-up-kbd.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+# Settings for Keychron K3 v2
+#
+# Settings for Keychron keyboards: https://github.com/kurgol/keychron
+# Some shortcuts: https://blog.colinwaddell.com/keychron-function-keys-configuration/
+#
+# NOTE: Keychron keyboards use the hid_apple driver.
+
+if [[ $EUID -ne 0 ]]; then
+ echo "This script must be run as root"
+ exit 1
+fi
+
+# Function keys:
+#
+# fnmode:
+# 0 = fn key disabled
+# 1 = fn key pressed by default
+# 2 = fn key released by default
+
+echo "options hid_apple fnmode=2" >> /etc/modprobe.d/hid_apple.conf
+echo "Reboot your system or notify hid_apple to reload its configuration"